## mpt-status 1.1.6

=== Makefile ===
PROG		:= mpt-status
KERNEL_PATH	:= /usr/src/linux
PREFIX		:= /usr
CFLAGS		:= -I${KERNEL_PATH}/drivers/message/fusion -Iincl -Wall -W -O2
DFLAGS		:=
LDFLAGS		:=
DESTDIR		:=
CC		:= gcc
INSTALL		:= install
ARCH		:= $(shell uname -m)
REDHAT		:= $(shell if [ -e /etc/redhat-release ]; \
				then echo "true"; else echo "false"; fi)

ifeq "${REDHAT}" "true"
	DFLAGS	:= ${FLAGS} -DREDHAT
endif
ifeq "${ARCH}" "sparc64"
	CFLAGS	:= -I${KERNEL_PATH}/drivers/message/fusion -Iincl -Wall -W -O2 \
		   -m64 -pipe -mcpu=ultrasparc -mcmodel=medlow
endif
# This part is for the 1.2.0 version of mpt-status
#ifeq "${ARCH}" "x86_64"
#	CFLAGS	:= -I${KERNEL_PATH}/drivers/message/fusion -Iincl -Wall -W -O2 \
#		   -m64
#endif

${PROG}: ${PROG}.c ${PROG}.h
	${CC} ${DFLAGS} ${CFLAGS} -o $@ $< ${LDFLAGS}

install: ${PROG}
	${INSTALL} -s -o root -g root -m 0500 $< ${DESTDIR}${PREFIX}/sbin

uninstall:
	\rm -f ${DESTDIR}${PREFIX}/sbin/${PROG}

clean:
	\rm -f ${PROG}

distclean: clean
	\rm -f core*

## mpt-status 1.2.0

=== Makefile ===
PROG		:= mpt-status
PREFIX		:= /usr
KERNEL_PATH	:= /usr/src/linux
KERNEL_PATH_B	:= /lib/modules/`uname -r`/build
KERNEL_PATH_S	:= /lib/modules/`uname -r`/source
CFLAGS		:= -Iincl -Wall -W -O2 \
			-I${KERNEL_PATH}/drivers/message/fusion \
			-I${KERNEL_PATH_B}/drivers/message/fusion \
			-I${KERNEL_PATH_S}/drivers/message/fusion
DFLAGS		:= #-DSANITIZED_KERNEL_HEADERS
LDFLAGS		:=
DESTDIR		:=
MANDIR		:= /usr/share/man
CC		:= gcc
INSTALL		:= install -D
ARCH		:= $(shell uname -m)

ifeq "${ARCH}" "sparc64"
	CFLAGS	:= -Iincl -Wall -W -O2 -m64 -pipe \
			-mcpu=ultrasparc -mcmodel=medlow
endif

${PROG}: ${PROG}.c ${PROG}.h
	${CC} ${DFLAGS} ${CFLAGS} -o $@ $< ${LDFLAGS}

install: ${PROG}
	${INSTALL} -s -o root -g root -m 0500 $< \
		${DESTDIR}${PREFIX}/sbin

install_doc: man/${PROG}.8
	${INSTALL} -o root -g root -m 0644 $< \
		${DESTDIR}${MANDIR}/man8
	gzip -9 ${DESTDIR}${MANDIR}/man8/${PROG}.8

uninstall:
	\rm -f ${DESTDIR}${PREFIX}/sbin/${PROG}

uninstall_doc:
	\rm -f ${DESTDIR}${MANDIR}/man8/${PROG}.8.gz

clean:
	\rm -f ${PROG}

distclean: clean
	\rm -f core* *~

=== debian/changelog ===
mpt-status (1.2.0-8) unstable; urgency=medium

  * QA Upload.
  * Set maintainer to Debian QA Group.
  * Bump standards to 3.9.5 and compat to 9 (no changes needed).
  * Build using hardening flags.
  * Add a patch marking --debug as having a mandatory argument
    (closes: #716283, #615638).
  * mpt-status.init: check_mpt(): kill the sleep child process upon SIGTERM
    (closes: #620186).
  * mpt-status.init: implement status support (closes: #679070)
  * mpt-status.init: try loading mptctl if /dev/mptctl is missing
    (closes: #646863).
  * mpt-status.init: add LSB description (lintian info).

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 17 Dec 2013 21:49:43 +0200

mpt-status (1.2.0-7) unstable; urgency=low

  * Remove set -e stanza from init-script to not interrupt update of
    Raid-Controller statusfile (Closes: #590691)
  * Extend init script to suppress warnings if mpt-status is already
    terminated (Closes: #586152) 
  * Bump Standards to 3.9.1.0

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 28 Jul 2010 19:46:56 +0200

mpt-status (1.2.0-6) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Merge 2 patches
  * Bump Standards to 3.9.0
  * Daemon does not double-fork on startup (Closes: #500040)
 
 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 30 Jun 2010 11:45:09 +0200

mpt-status (1.2.0-5) unstable; urgency=low

  * New Maintainer (Closes: #535798)
  * Acknowledge NMU changes
  * Bump Standards to 3.8.4
  * Let package not depend on mailx anymore but offer it as Suggested
    Idea taken from Andre Cruz (Closes: #540762)
  * Adjust license information as package is distributed under GPL-2
  * Fix lintian error and several warnings
  * add watch-file

 -- Stefan Bauer <stefan.bauer@cubewerk.de>  Wed, 30 Jun 2010 11:44:50 +0200

mpt-status (1.2.0-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on libpci-dev. Closes: #478386

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 May 2008 11:50:27 +1000

mpt-status (1.2.0-4.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #470938).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 29 Mar 2008 13:40:47 +0100

mpt-status (1.2.0-4) unstable; urgency=high

  * High urgency for RC bugfix
  * Fix FTBFS with 20-compiler.patch to remove include for
    linux/compiler.h from the header file, which is no longer available
    with the switch to linux-libc-dev (Closes: #423789)
    Thanks to Steve Langasek for the patch
  * Change arch field to any as it might also be useful for other archs
  * Bump debhelper level to 5

 -- Steffen Joeris <white@debian.org>  Mon, 14 May 2007 21:12:10 +1000

mpt-status (1.2.0-3) unstable; urgency=low

  * Upload to unstable (Closes: #390923)

 -- Steffen Joeris <white@debian.org>  Mon, 23 Apr 2007 07:01:26 +1000

mpt-status (1.2.0-2) experimental; urgency=low

  * Add dependency against mailx which is needed by the init script
    to report failures (see #411746)

 -- Steffen Joeris <white@debian.org>  Thu, 22 Feb 2007 00:01:03 +1100

mpt-status (1.2.0-1) experimental; urgency=low

  * New upstream release
   - Fixed version string (Closes: #390921)
  * Drop 20-nonlinux.patch as it got included by upstream
  * Include mpi_raid.h from kernel source package to debian/includes
  * Include patch to improve the output of mpt-statusd and internal
    functions, thanks to Jochen Pawletta
  * Drop debian/mpt-status.8 manpage as it is now included by upstream
  * Thanks to Petter Reinholdtsen for testing and hardware access

 -- Steffen Joeris <white@debian.org>  Wed, 17 Jan 2007 17:23:34 +0100

mpt-status (1.1.6-12) unstable; urgency=medium

  * Severity set to medium as this upload fixes an important bug
  * Provide the ID function to explicitely specify the primary id,
    because the -p argument produces different output by different
    ids (Closes: #404962)
  * Thanks to Jochen Pawletta

 -- Steffen Joeris <white@debian.org>  Thu, 11 Jan 2007 17:12:36 +0100

mpt-status (1.1.6-11) unstable; urgency=high

  * Severity is still high as it should go into etch
  * Revert the debhelper change so that it is back to level 4
    which was requested by the Release Team

 -- Steffen Joeris <white@debian.org>  Sun,  7 Jan 2007 23:23:01 +0100

mpt-status (1.1.6-10) unstable; urgency=high

  * Set severity to high as it fixes an RC bug and should go into etch
  * Bump debhelper level to 5
  * Change my maintainer address
  * Use the -p option to probe through the id's in case it is not on
    id 0 (Closes: #404962)
  * Remove useless additional log message about stopping the daemon in
    d_stop()
  * Provide the d_stop_by_restart() function which is needed for a
    workaround to make sure the init script starts again
    (Closes: #405938)
  * Thanks to Petter Reinholdtsen for testing and hardware access

 -- Steffen Joeris <white@debian.org>  Wed,  3 Jan 2007 21:17:56 +0100

mpt-status (1.1.6-9) unstable; urgency=high

  * Severity high because this upload fixes two RC bugs
  * Make sure that d_start() exits with error code 0 if there is
    already a running daemon (Closes: #401580)
    Thanks to Morten Werner Olsen
  * Add check to the d_stop() function to see if the daemon is already
    stopped which according to lsb standards should exit with error
    code 0
  * Start the daemon with the --oknodo option which allows us to start
    other daemons later, while the first one is defunct and waits for
    the sleep call to exit afterwards (Closes: #401554)
  * Remove the check for the "/proc/scsi/mptspi" directory, as there
    might be others in use instead of this one, however the version
    check should be enough and exits gracefully (see #387963)
  * Include check_daemon() function to check if there is already a
    running mpt-statusd which is not timing out at the moment
  * Gracefully exit with code 0 after the run of start-stop-daemon


=== debian/control ===
Source: mpt-status
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), libpci-dev
Standards-Version: 3.9.5

Package: mpt-status
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, daemon
Suggests: mailx
Description: get RAID status out of mpt (and other) HW RAID controllers
 The mpt-status software is a query tool to access the running
 configuration and status of LSI SCSI HBAs.  mpt-status allows you to
 monitor the health and status of your RAID setup.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DESTDIR = $(CURDIR)/debian/mpt-status

%:
	dh  \$@

override_dh_auto_install:

override_dh_installinit:
	dh_installinit --init-script=mpt-statusd

override_dh_installdocs:
	dh_installdocs
	cd $(DESTDIR)/usr/share/doc/mpt-status && mv Changelog changelog

=== debian/watch ===
version=3
http://www.drugphish.ch/~ratz/mpt-status/mpt-status-([0-9.]+)\.tar\.gz        debian  uupdate
